[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TSortedCollection.IndexOf

Return index of an item in the collection.

## Declaration

Source position: objects.pp line 445

`function TSortedCollection.IndexOf(`
`Item: Pointer`
`):Sw_Integer; virtual;`

## Description

IndexOf returns the index of Item in the collection. It searches for the object based on it's key. If duplicates are allowed, then it returns the index of last object that matches Item.

In case Item is not found in the collection, -1 is returned.

For an example, see TCollection.IndexOf

## Errors

None.

## See also

TSortedCollection.Search |  | Search for item with given key.
TSortedCollection.Compare |  | Compare two items in the collection.